Package Details: pacbuilder-svn 1:r138-1

Git Clone URL: https://aur.archlinux.org/pacbuilder-svn.git (read-only)
Package Base: pacbuilder-svn
Description: A tool to massively recompile archlinux packages from sources
Upstream URL: http://code.google.com/p/pacbuilder/
Licenses: GPL3
Submitter: ilpianista
Maintainer: intelfx
Last Packager: intelfx
Votes: 149
Popularity: 0.028021
First Submitted: 2008-05-28 19:39
Last Updated: 2015-07-07 17:31

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

Shebang commented on 2016-04-09 01:27

Just wanted to mention that tar, makepkg and pacman are also dependencies not checked for in the PKGBUILD.

intelfx commented on 2014-04-10 15:13

@iord. Yes, it is. Thanks for heads-up; package updated.

iord commented on 2014-04-09 15:14

wget seems to be a dependency:

$ pacbuilder -Sbkv glpk
error: no operation specified (use -h for help)
You need to install wget!

intelfx commented on 2013-11-14 16:33

Sorry for broken link (I had a major issue with my server).
Could you re-iterate please? Link is the same.

intelfx commented on 2013-10-21 14:51

Could you please update PKGBUILD to comply with pacman 4.1 VCS packaging standards?

Here is the updated package:
ftp://intelfx.dyndns.org/pacbuilder-svn-138-3.src.tar.gz

dodo3773 commented on 2012-04-25 21:43

Thank you for the extremely quick update.

canton7 commented on 2012-04-25 18:59

Done! Thanks for the patch

dodo3773 commented on 2012-04-25 18:56

Please edit PKGBUILD to look like this: http://sprunge.us/AZhP?text So that it will build. Thanks.

canton7 commented on 2011-07-21 11:07

Sadly I'm just the packager, not the maintainer.

I'm not sure who the maintainer is, but you might be able to reach them through the google code project, see the link at the top.

However, the last commit was from 2009, so I'd be surprised if you managed to get a response. Good luck though!

Anonymous comment on 2011-07-21 00:26

I have some feature requests ... 1) first feature request is to make this have all abs repos as options in the help output and in the app itself 2) the second feature request is to possibly fix sysupgrade so that it will recompile every update package rather than just devel packages. I've tried using --sysupgrade flag over and over but it always updates the same packages even when pacman shows other updates.

I absolutely love this program and I REALLY want development of this to continue because Arch Linux needs an emerge type app that properly does the job and this is the closest thing I've seen

Keep up the good work...

jim1960 commented on 2011-06-17 16:05

I don't know what happend at that day, but it work fine in these days.

canton7 commented on 2011-06-13 11:49

Hmm, odd.
What AUR helper are you using?

jim1960 commented on 2011-06-13 05:03

I don't know what happend but it always say:
==> Installing xxx [package 1 of 1] ...makepkg failed!
==> ERROR: I was unable to install these packages: xxx

And I have to manual install package:
cd $pacbuilder
pacman -U xxx.pkg.tar.xz

canton7 commented on 2011-02-02 17:55

Adopted. Let me know if you have any problems!

ilpianista commented on 2010-12-18 16:19

* orphaned

ilpianista commented on 2010-10-03 22:14

fixed thanks

sjakub commented on 2010-10-03 16:08

In PKGBUILD there should be:
rm -rf "$srcdir/$_svnmod-build"
instead of:
rm -r "$srcdir/$_svnmod-build"

alexcortes commented on 2010-09-23 04:30

Hi, arch=('any') do not compile for me, only arch=('i686' 'x86_64).

ilpianista commented on 2010-08-19 18:24

@ santodelaespada
do you know _svnmod is a local variable used to check the project in a (_svnmod) dir? You can call it as 'abcdefghijk' and it will work anyway...

Anonymo commented on 2010-08-14 08:04

I hope this project continues

santodelaespada commented on 2010-07-27 04:18

# Non-members may check out a read-only working copy anonymously over HTTP.
svn checkout http://pacbuilder.googlecode.com/svn/trunk/ pacbuilder-read-only

check:

http://aur.pastebin.com/w342eCr5

ilpianista commented on 2010-03-29 20:13

this is fixed in grep 2.6.2 ;)

ilpianista commented on 2010-03-29 17:37

hi, it seems to be a bug in grep.
try: $ grep -qrl --include "desc" "^pacman$" "/var/lib/pacman/local/"

Anonymous comment on 2010-03-29 15:47

pacbuilder -S chromium 19:45 :)
-------------------------------
PacBuilder, by Andrea Cimitan
-------------------------------

The following packages will be built:
==> chromium
Do you want to continue? (Y/n): y
==> Building chromium [package 1 of 1] ... /usr/bin/pacbuilder: line 645: 2935 Ошибка сегментирования grep -qrl --include="desc" "^$1$" "${PACMANROOT}/local"
/usr/bin/pacbuilder: line 645: 2937 Ошибка сегментирования grep -qrl --include="desc" "^$1$" "${PACMANROOT}/local"
/usr/bin/pacbuilder: line 645: 2939 Ошибка сегментирования grep -qrl --include="desc" "^$1$" "${PACMANROOT}/local"
/usr/bin/pacbuilder: line 645: 2941 Ошибка сегментирования grep -qrl --include="desc" "^$1$" "${PACMANROOT}/local"
/usr/bin/pacbuilder: line 645: 2943 Ошибка сегментирования grep -qrl --include="desc" "^$1$" "${PACMANROOT}/local"
/usr/bin/pacbuilder: line 645: 2998 Ошибка сегментирования grep -qrl --include="desc" "^$1$" "${PACMANROOT}/local"
missing dependency!
==> ERROR: I was unable to install these packages: chromium